## Supported Scripts/Mappings in ScriptShifter

Below are the supported scripts, and supported directionality of those scripts, in ScriptShifter.

The "status" value may be *stable*, *beta*, *alpha*, or blank (i.e. empty).  "Stable" means the mapping 
is maintained within ScriptShifter, has been tested, and is in use.  "Beta" or "alpha" represent mappings
that are in some form of development and/or testing, with "beta" being more mature than "alpha" in this
regard.  If the column is 'blank,' transliteration of the script is available in ScriptShifter from a
third-party library.


|	Mapping file |  Script Name  |  Roman-to-script  |  Script-to-roman  |  Status  |  Remarks
|  -------- | ------- | ------- | ------- | ------- | ------- |
|  [abkhaz_cyrillic](../scriptshifter/tables/data/abkhaz_cyrillic.yml)  |  Abkhaz (Cyrillic)  |  Y  |  Y  |  stable  |  
|  [altai_cyrillic](../scriptshifter/tables/data/altai_cyrillic.yml)  |  Altai (Cyrillic)  |  Y  |  Y  |  stable  |  
|  [arabic](../scriptshifter/tables/data/arabic.yml)  |  Arabic (S2R)  |  N  |  Y  |  stable  |  
|  [armenian](../scriptshifter/tables/data/armenian.yml)  |  Armenian  |  Y  |  Y  |  stable  |  
|  [asian_cyrillic](../scriptshifter/tables/data/asian_cyrillic.yml)  |  Asian Cyrillic  |  Y  |  Y  |  stable  |  
|  [azerbaijani_cyrillic](../scriptshifter/tables/data/azerbaijani_cyrillic.yml)  |  Azerbaijani (Cyrillic)  |  Y  |  Y  |  stable  |  
|  [bashkir_cyrillic](../scriptshifter/tables/data/bashkir_cyrillic.yml)  |  Bashkir (Cyrillic)  |  Y  |  Y  |  stable  |  
|  [belarusian](../scriptshifter/tables/data/belarusian.yml)  |  Belarusian  |  Y  |  Y  |  stable  |  
|  [bengali](../scriptshifter/tables/data/bengali.yml)  |  Bengali  |  Y  |  Y  |    |  
|  [bulgarian](../scriptshifter/tables/data/bulgarian.yml)  |  Bulgarian  |  Y  |  Y  |  stable  |  
|  [buriat](../scriptshifter/tables/data/buriat.yml)  |  Buriat (Cyrillic)  |  Y  |  Y  |  stable  |  
|  [burmese](../scriptshifter/tables/data/burmese.yml)  |  Burmese (Myanmar)  |  Y  |  Y  |    |  
|  [chinese](../scriptshifter/tables/data/chinese.yml)  |  Chinese (Hanzi)  |  N  |  Y  |  stable  |  
|  [chukchi_cyrillic](../scriptshifter/tables/data/chukchi_cyrillic.yml)  |  Chukchi (Cyrillic)  |  Y  |  Y  |  stable  |  
|  [church_slavonic](../scriptshifter/tables/data/church_slavonic.yml)  |  Church Slavonic  |  Y  |  Y  |  stable  |  
|  [chuvash_cyrillic](../scriptshifter/tables/data/chuvash_cyrillic.yml)  |  Chuvash (Cyrillic)  |  Y  |  Y  |  stable  |  
|  [devanagari](../scriptshifter/tables/data/devanagari.yml)  |  Devanagari  |  Y  |  Y  |    |  
|  [divehi_thaana](../scriptshifter/tables/data/divehi_thaana.yml)  |  Divehi (Thaana)  |  Y  |  Y  |  stable  |  
|  [dogri_devanagari](../scriptshifter/tables/data/dogri_devanagari.yml)  |  Dogri (Devanagari)  |  Y  |  Y  |    |  
|  [dungan_cyrillic](../scriptshifter/tables/data/dungan_cyrillic.yml)  |  Dungan (Cyrillic)  |  Y  |  Y  |  stable  |  
|  [ethiopic](../scriptshifter/tables/data/ethiopic.yml)  |  Ethiopic (Amharic)  |  Y  |  Y  |  beta  |  
|  [even-evenki_cyrillic](../scriptshifter/tables/data/even.yml)  |  Even/Evenki (Cyrillic)  |  Y  |  Y  |  stable  |  
|  [gagauz_cyrillic](../scriptshifter/tables/data/gagauz_cyrillic.yml)  |  Gagauz (Cyrillic)  |  Y  |  Y  |  stable  |  
|  [georgian](../scriptshifter/tables/data/georgian.yml)  |  Georgian  |  Y  |  Y  |  stable  |  
|  [greek_classical](../scriptshifter/tables/data/greek_classical.yml)  |  Greek (classical)  |  Y  |  Y  |  stable  |  
|  [greek_modern](../scriptshifter/tables/data/greek_modern.yml)  |  Greek (modern)  |  Y  |  Y  |  stable  |  
|  [gujarati](../scriptshifter/tables/data/gujarati.yml)  |  Gujarati  |  Y  |  Y  |    |  s-to-r lacks capitalization
|  [gurmukhi](../scriptshifter/tables/data/gurmukhi.yml)  |  Punjabi (Gurmukhi)  |  Y  |  Y  |    |  
|  [hebrew](../scriptshifter/tables/data/hebrew.yml)  |  Hebrew  |  N  |  Y  |    |  
|  [hindi](../scriptshifter/tables/data/hindi.yml)  |  Hindi (Devanagari)  |  Y  |  Y  |  beta  |  
|  [hiragana](../scriptshifter/tables/data/hiragana.yml)  |  Japanese (Hiragana)  |  Y  |  Y  |    |  
|  [kalmyk_cyrillic](../scriptshifter/tables/data/kalmyk_cyrillic.yml)  |  Kalmyk (Cyrillic)  |  Y  |  Y  |  stable  |  
|  [kannada](../scriptshifter/tables/data/kannada.yml)  |  Kannada  |  Y  |  Y  |    |  s-to-r lacks capitalization
|  [kara-kalpak_cyrillic](../scriptshifter/tables/data/kara.yml)  |  Kara-Kalpak (Cyrillic)  |  Y  |  Y  |  stable  |  
|  [karachai-balkar_cyrillic](../scriptshifter/tables/data/karachai.yml)  |  Karachay-Balkar  (Cyrillic)  |  Y  |  Y  |  stable  |  
|  [karelian_cyrillic](../scriptshifter/tables/data/karelian_cyrillic.yml)  |  Karelian  (Cyrillic)  |  Y  |  Y  |  stable  |  
|  [katakana](../scriptshifter/tables/data/katakana.yml)  |  Japanese (Katakana)  |  Y  |  Y  |    |  
|  [kazakh_cyrillic](../scriptshifter/tables/data/kazakh_cyrillic.yml)  |  Kazakh (Cyrillic)  |  Y  |  Y  |  stable  |  
|  [khakass_cyrillic](../scriptshifter/tables/data/khakass_cyrillic.yml)  |  Khakass (Cyrillic)  |  Y  |  Y  |  stable  |  
|  [khanty_cyrillic](../scriptshifter/tables/data/khanty_cyrillic.yml)  |  Khanty (Cyrillic)  |  Y  |  Y  |  stable  |  
|  [khmer](../scriptshifter/tables/data/khmer.yml)  |  Khmer  |  Y  |  Y  |    |  
|  [komi_cyrillic](../scriptshifter/tables/data/komi_cyrillic.yml)  |  Komi (Cyrillic)  |  Y  |  Y  |  stable  |  
|  [korean_names](../scriptshifter/tables/data/korean_names.yml)  |  Korean (last + first names only)  |  N  |  Y  |    |  
|  [korean_nonames](../scriptshifter/tables/data/korean_nonames.yml)  |  Korean  |  N  |  Y  |    |  
|  [korean_old](../scriptshifter/tables/data/korean_old.yml)  |  Korean  |  x  |  x  |    |  
|  [koryak_cyrillic](../scriptshifter/tables/data/koryak_cyrillic.yml)  |  Koryak (Cyrillic)  |  Y  |  Y  |  stable  |  
|  [kurdish](../scriptshifter/tables/data/kurdish.yml)  |  Kurdish  |  Y  |  N  |  stable  |  
|  [kyrgyz_cyrillic](../scriptshifter/tables/data/kyrgyz_cyrillic.yml)  |  Kyrgyz (Cyrillic)  |  Y  |  Y  |  stable  |  
|  [lithuanian_cyrillic](../scriptshifter/tables/data/lithuanian_cyrillic.yml)  |  Lithuanian (Cyrillic)  |  Y  |  Y  |  stable  |  
|  [macedonian](../scriptshifter/tables/data/macedonian.yml)  |  Macedonian  |  Y  |  Y  |  stable  |  
|  [malayalam](../scriptshifter/tables/data/malayalam.yml)  |  Malayalam  |  Y  |  Y  |    |  s-to-r lacks capitalization
|  [mansi_cyrillic](../scriptshifter/tables/data/mansi_cyrillic.yml)  |  Mansi (Cyrillic)  |  Y  |  Y  |  stable  |  
|  [marathi](../scriptshifter/tables/data/marathi.yml)  |  Marathi  |  Y  |  Y  |    |  s-to-r lacks capitalization
|  [mari_cyrillic](../scriptshifter/tables/data/mari_cyrillic.yml)  |  Mari (Cyrillic)  |  Y  |  Y  |  stable  |  
|  [moldovan_cyrillic](../scriptshifter/tables/data/moldovan_cyrillic.yml)  |  Moldovan (Cyrillic)  |  Y  |  Y  |  stable  |  
|  [mongolian_cyrillic](../scriptshifter/tables/data/mongolian_cyrillic.yml)  |  Mongolian (Cyrillic)  |  Y  |  Y  |  stable  |  
|  [mongolian_mongol_bichig](../scriptshifter/tables/data/mongolian_mongol_bichig.yml)  |  Mongolian (Mongol bichig)  |  Y  |  Y  |  stable  |  
|  [mordvin_cyrillic](../scriptshifter/tables/data/mordvin_cyrillic.yml)  |  Mordvin (Cyrillic)  |  Y  |  Y  |  stable  |  
|  [nenets_cyrillic](../scriptshifter/tables/data/nenets_cyrillic.yml)  |  Nenets (Cyrillic)  |  Y  |  Y  |  stable  |  
|  [nepali_devanagari](../scriptshifter/tables/data/nepali_devanagari.yml)  |  Nepali (Devanagari)  |  Y  |  Y  |    |  
|  [newari_devanagari](../scriptshifter/tables/data/newari_devanagari.yml)  |  Newari (Devanagari)  |  Y  |  Y  |    |  
|  [oriya](../scriptshifter/tables/data/oriya.yml)  |  Oriya  |  Y  |  Y  |    |  s-to-r lacks capitalization
|  [ossetic_cyrillic](../scriptshifter/tables/data/ossetic_cyrillic.yml)  |  Ossetic (Cyrillic)  |  Y  |  Y  |  stable  |  
|  [pali](../scriptshifter/tables/data/pali.yml)  |  Pali  |  Y  |  Y  |    |  
|  [panjabi](../scriptshifter/tables/data/panjabi.yml)  |  Punjabi (Gurmukhi)  |  Y  |  Y  |    |  s-to-r lacks capitalization
|  [persian](../scriptshifter/tables/data/persian.yml)  |  Persian  |  Y  |  N  |  stable  |  
|  [prakrit_devanagari](../scriptshifter/tables/data/prakrit_devanagari.yml)  |  Prakrit (Devanagari)  |  Y  |  Y  |    |  
|  [pulaar](../scriptshifter/tables/data/pulaar.yml)  |  Pulaar (Adlam)  |  Y  |  Y  |    |  
|  [pushto](../scriptshifter/tables/data/pushto.yml)  |  Pushto  |  Y  |  N  |  stable  |  
|  [rajasthani_devanagari](../scriptshifter/tables/data/rajasthani_devanagari.yml)  |  Rajasthani (Devanagari)  |  Y  |  Y  |    |  
|  [romani_cyrillic](../scriptshifter/tables/data/romani_cyrillic.yml)  |  Romani (Cyrillic)  |  Y  |  Y  |  stable  |  
|  [russian](../scriptshifter/tables/data/russian.yml)  |  Russian  |  Y  |  Y  |  stable  |  
|  [sanskrit_devanagari](../scriptshifter/tables/data/sanskrit_devanagari.yml)  |  Sanskrit (Devanagari)  |  Y  |  Y  |    |  s-to-r lacks capitalization
|  [serbian](../scriptshifter/tables/data/serbian.yml)  |  Serbian  |  Y  |  Y  |  stable  |  
|  [shor_cyrillic](../scriptshifter/tables/data/shor_cyrillic.yml)  |  Shor (Cyrillic)  |  Y  |  Y  |  stable  |  
|  [sinhalese_sinhala](../scriptshifter/tables/data/sinhalese_sinhala.yml)  |  Sinhalese (Sinhala)  |  Y  |  Y  |    |  s-to-r lacks capitalization
|  [syriac_cyrillic](../scriptshifter/tables/data/syriac_cyrillic.yml)  |  Syriac (Cyrillic)  |  Y  |  Y  |  stable  |  
|  [tajik_cyrillic](../scriptshifter/tables/data/tajik_cyrillic.yml)  |  Tajik (Cyrillic)  |  Y  |  Y  |  stable  |  
|  [tamil](../scriptshifter/tables/data/tamil.yml)  |  Tamil  |  Y  |  Y  |  beta  |  
|  [tamil_brahmi](../scriptshifter/tables/data/tamil_brahmi.yml)  |  Tamil Brahmi  |  Y  |  Y  |    |  
|  [tamil_extended](../scriptshifter/tables/data/tamil_extended.yml)  |  Tamil (extended)  |  Y  |  Y  |    |  
|  [tatar-kryashen_cyrillic](../scriptshifter/tables/data/tatar.yml)  |  Tatar-Kryashen (Cyrillic)  |  Y  |  Y  |  stable  |  
|  [tatar_cyrillic](../scriptshifter/tables/data/tatar_cyrillic.yml)  |  Tatar (Cyrillic)  |  Y  |  Y  |  stable  |  
|  [telugu](../scriptshifter/tables/data/telugu.yml)  |  Telugu  |  Y  |  Y  |    |  s-to-r lacks capitalization
|  [thai](../scriptshifter/tables/data/thai.yml)  |  Thai  |  Y  |  Y  |    |  
|  [tibetan](../scriptshifter/tables/data/tibetan.yml)  |  Tibetan  |  Y  |  Y  |    |  
|  [turkmen_cyrillic](../scriptshifter/tables/data/turkmen_cyrillic.yml)  |  Turkmen (Cyrillic)  |  Y  |  Y  |  stable  |  
|  [tuvinian_cyrillic](../scriptshifter/tables/data/tuvinian_cyrillic.yml)  |  Tuvinian (Cyrillic)  |  Y  |  Y  |  stable  |  
|  [udmurt_cyrillic](../scriptshifter/tables/data/udmurt_cyrillic.yml)  |  Udmurt (Cyrillic)  |  Y  |  Y  |  stable  |  
|  [uighur_cyrillic](../scriptshifter/tables/data/uighur_cyrillic.yml)  |  Uighur (Cyrillic)  |  Y  |  Y  |  stable  |  
|  [ukrainian](../scriptshifter/tables/data/ukrainian.yml)  |  Ukrainian  |  Y  |  Y  |  stable  |  
|  [urdu](../scriptshifter/tables/data/urdu.yml)  |  Urdu  |  Y  |  N  |  stable  |  
|  [uzbek_cyrillic](../scriptshifter/tables/data/uzbek_cyrillic.yml)  |  Uzbek (Cyrillic)  |  Y  |  Y  |  stable  |  
|  [yakut_cyrillic](../scriptshifter/tables/data/yakut_cyrillic.yml)  |  Yakut (Cyrillic)  |  Y  |  Y  |  stable  |  
|  [yiddish](../scriptshifter/tables/data/yiddish.yml)  |  Yiddish  |  Y  |  Y  |    |  
|  [yuit_cyrillic](../scriptshifter/tables/data/yuit_cyrillic.yml)  |  Yuit (Cyrillic)  |  Y  |  Y  |  stable  |  
